/*
 *    Linux/68k Frame Buffer Device Configuration
 *
 *     Copyright 1995 by Geert Uytterhoeven
 *                       (Geert.Uytterhoeven@cs.kuleuven.ac.be)
 *
 *    --------------------------------------------------------------------------
 *
 *    This file is subject to the terms and conditions of the GNU General Public
 *    License. See the file COPYING in the main directory of the Linux/68k
 *    distribution for more details.
 */


#include <stdio.h>
#include <sys/types.h>


#define LOW          (0)
#define HIGH         (1)

#define FALSE        (0)
#define TRUE         (1)


struct MonSpecs {
   u_long MinHrate;
   u_long MaxHrate;
   u_long MinVrate;
   u_long MaxVrate;
};


struct VideoMode {
   struct VideoMode *next;
   char *name;
   struct {
      u_long xres;
      u_long yres;
      u_long vxres;
      u_long vyres;
      u_long depth;
   } geometry;
   struct {
      u_long pixclock;
      u_long left;
      u_long right;
      u_long upper;
      u_long lower;
      u_long hslen;
      u_long vslen;
   } timings;
   struct {
      u_long hsync   : 1;
      u_long vsync   : 1;
      u_long csync   : 1;
      u_long extsync : 1;
      u_long bcast   : 1;
      u_long laced   : 1;
      u_long dblscan : 1;
   } options;
};

extern struct MonSpecs MonSpecs;
extern FILE *yyin;
extern int line;
extern char *Opt_db;

extern void Die(const char *fmt, ...);
extern void AddVideoMode(struct VideoMode *vmode);
